# Data Platform Deployer (dpd) 🚀

**Data Platform Deployer (`dpd`)** is a CLI tool for automatically generating configurations and deploying a data platform based on a declarative description.

## 🔥 Features
- 📜 **Configuration generation** for Kafka, ClickHouse, PostgreSQL, S3, and more.
- 🚀 **Automated deployment** of the data platform.
- 🛠 **Flexible configuration** via JSON.
- 🏗 **Supports Docker Compose** and (future) Kubernetes.

## 🚀 Installation
Install from **PyPI**:
```sh
pip install dpd
```
## 📝 Usage
Once installed, you can run dpd from the command line:
```sh 
dpd --help
```
Generate configuration files
```sh 
dpd generate --config config.json
```

